#ifndef S_H
#define S_H
#include <string.h>
#include <ctype.h>
#include <stdlib.h>
#include <stdarg.h>

#define ALIGNLENGTH	16
#define ASCII_MODE	'A'
#define BINARY_MODE	'B'

typedef struct STR {
  char *s;                   	/* beginning of the string (buffer<=s) */
  int	len;                    /* length as a string */
  /* in a sense of OO, belows are private */
  int	mode;                   /* 'A' for ASCII, 'B' for binary */
  int	size;                   /* malloc()-ed size */
  char *buffer;                 /* actual buffer */
} STR;

char* strop(STR*, char *, ...);
/* $Id: s.h,v 1.5 2004/07/23 14:50:20 yuuji Exp $ */
#endif
